package com.brilliance.ccbank.common;

import com.brilliance.eibs.core.model.IFieldDef;
import com.brilliance.eibs.core.model.IFilterDef;
import com.brilliance.eibs.core.model.impl.FieldDef;

public class FieldUtil {
	/**
	 * 获取field  公共的
	 * @param filterDef
	 * @param tag
	 * @param type
	 * @param value
	 * @param etag
	 * @param codetable
	 * @param size
	 * @param description
	 * @param scope
	 * @return
	 */
	public static IFieldDef getFieldDef(IFilterDef filterDef,String tag,String type,String value, String etag,String codetable,String size,String description,String scope){
		IFieldDef fieldDef = new FieldDef();
		fieldDef.setParentDef(filterDef);
		fieldDef.setTag(tag);
		fieldDef.setType(type);
		fieldDef.setValue(value);
		fieldDef.setEtag(etag);
		fieldDef.setCodetable(codetable);
		fieldDef.setSize(size);
		fieldDef.setDescription(description);
		fieldDef.setScope(scope);

		return fieldDef;
	}
	/**
	 * 获取定长报文的field
	 * @param filterDef
	 * @param tag
	 * @param type
	 * @param value
	 * @param size
	 * @param scope
	 * @return
	 */
	public static IFieldDef getFieldDef0(IFilterDef filterDef,String tag,String type,String value,String size,String scope){
		String etag="";
		String codetable="";
		String description="";

		return getFieldDef(filterDef, tag, type, value, etag, codetable, size, description, scope);
	}
	
	public static IFieldDef getFieldDef0(IFilterDef filterDef,String tag,String value,String size,String scope){
		String type="String";

		return getFieldDef0(filterDef, tag, type, value, size, scope);
	}
	
	public static IFieldDef getFieldDef0(IFilterDef filterDef,String tag,String value,String size){
		String scope="";

		return getFieldDef0(filterDef, tag, value, size,scope);
	}
	
	/**
	 * 获取变长有分割符报文的field
	 * @param filterDef
	 * @param type
	 * @param value
	 * @param scope
	 * @return
	 */
	public static IFieldDef getFieldDef1(IFilterDef filterDef,String type,String value,String scope){
		String tag="";
		String etag="";
		String codetable="";
		String size="";
		String description="";

		return getFieldDef(filterDef, tag, type, value, etag, codetable, size, description, scope);
	}
	
	public static IFieldDef getFieldDef1(IFilterDef filterDef,String value){
		String tag="";
		String type="String";
		String etag="";
		String codetable="";
		String size="";
		String description="";
		String scope="";

		return getFieldDef(filterDef, tag, type, value, etag, codetable, size, description, scope);
	}
	
	/**
	 * 获取xml报文的Field
	 * @return
	 */
	public static IFieldDef getFieldDef2(){
		return null;
	}
	
	/**
	 * 获取socket报文的Field
	 * @return
	 */
	public static IFieldDef getFieldDef3(IFilterDef filterDef,String value){
		String tag="";
		String type="";
		String etag="";
		String codetable="";
		String size="";
		String description="";
		String scope="";
		return getFieldDef(filterDef, tag, type, value, etag, codetable, size, description, scope);
	}
	
	public static IFieldDef getFieldDef3_1(IFilterDef filterDef,String etag){
		String tag="";
		String type="";
		String value="";
		String codetable="";
		String size="";
		String description="";
		String scope="";
		return getFieldDef(filterDef, tag, type, value, etag, codetable, size, description, scope);
	}
}
