package com.brilliance.ccbank.service.abs;

import java.io.File;
import java.util.List;

public abstract class AbsImport
{

  /**
   * @param xmlFile
   * @return 根据XML文件路径 导入到数据库中
   */
  public abstract boolean importFromXML(String xmlFile);

  /**
   * @param xml XML字符串
   * @return XML转换成的表对象
   * **/
  public abstract Object xml2obj(File xmlfile);

  /**
   * @param xml XML字符串
   * @return XML转换成的表对象结合
   * **/
  public abstract List<Object> xml2lstobj(File xmlfile);

}
