package com.brilliance.ccbank.service.abs;

import java.util.List;

import com.brilliance.ccbank.srcipt.core.FlwMapping;
import com.brilliance.eibs.core.model.IAbsDef;

public abstract class AbsProcessEngine
{

  /**
   * @param id
   * @return 根据场景组件或者业务组件ID查找到流程定义，并组装成脚本返回
   */
  public abstract String getProcessDefDefine(String id);

  /**
   * @param script
   * @return
   * 根据脚本返回抽象成对应的模型
   */
  public abstract List<IAbsDef> getProcessEngine(List<FlwMapping> script);

}
