package com.brilliance.ccbank.srcipt.parser;

import org.slf4j.Logger;

import com.brilliance.ccbank.srcipt.reader.TextScriptReader;
import com.brilliance.eibs.util.StringUtil;

public class TextTokenParser
    extends TokenParser
{
  private String rawscript;

  public TextTokenParser( String script, String charset, Logger log )
      throws Exception
  {
    super(new TextScriptReader(script, charset), log);
    this.rawscript = script;
  }

  public String getRawscript()
  {
    return rawscript;
  }

  public void setRawscript(String rawscript)
  {
    this.rawscript = rawscript;
  }

  @Override
  protected boolean checkBeforeParse()
  {
    if (StringUtil.isEmpty(rawscript))
      return false;
    return true;
  }
}
