package com.brilliance.eibs.core.debug;

/**
 * @author hujun
 *
 *         debug功能接口
 */
public interface IDebug<E> {

    void suspend();

    void resume();

    IDebugAdaptor<E> getAdaptor(E e);

    IDebugAdaptor<E> addAdaptor(E e);
    
    void turnOffAll();

}
