package com.brilliance.eibs.core.model.modelbeans;

import com.brilliance.eibs.core.model.IFilterDef;
import com.brilliance.eibs.core.model.IInterfaceDef;

import java.io.Serializable;
import java.util.ArrayList;
import java.util.List;

/**
 * 过滤器定义集合类
 */
public class FiltersDef
    implements Serializable
{
  /**
   * 
   */
  private static final long       serialVersionUID = 1L;
  private String                  id;
  private transient IInterfaceDef interfaceDefinition;                           // 接口定义
  private List<IFilterDef>        filters          = new ArrayList<IFilterDef>(); // 过滤器列表

  public IInterfaceDef getInterfaceDefinition()
  {
    return interfaceDefinition;
  }

  public void setInterfaceDefinition(IInterfaceDef interfaceDefinition)
  {
    this.interfaceDefinition = interfaceDefinition;
  }

  public String getId()
  {
    return id;
  }

  public void setId(String id)
  {
    this.id = id;
  }

  public List<IFilterDef> getFilters()
  {
    return filters;
  }

  public void setFilters(List<IFilterDef> filters)
  {
    this.filters = filters;
  }

}
