package com.brilliance.eibs.factory.parser;

import com.brilliance.eibs.listener.helpers.Watchdog;

/**
 * @author hujun
 *
 *         解析热部署接口，如果需要实现热部署功能，需要实现该接口
 */
public interface IHotDeployParser {

    Watchdog createHotDeployListener();

    Watchdog createBDHotDeployListener();


    /**
     * 提供热部署状态
     * 
     * @return
     * 
     */
    String getHotDeployState();
}
