package com.brilliance.eibs.server.terminal;

import java.util.Map;
import java.util.concurrent.ConcurrentHashMap;

public class TerminalPool
{

  private static Map<String, Terminal> terminals = new ConcurrentHashMap<String, Terminal>();

  public static void addTerminal(String name, Terminal t)
  {
    terminals.put(name, t);
  }

  public static Terminal getTerminal(String name)
  {
    return terminals.get(name);
  }

  public static Terminal removeTerminal(Terminal t)
  {
    return terminals.remove(t);
  }
}
