package com.brilliance.eibs.util;

import java.math.BigDecimal;

public class NumberUtils {

    public static Double multiply(String a, String b) {
        return new BigDecimal(a).multiply(new BigDecimal(b)).doubleValue();
    }

    public static Double divide(String a, String b) {
        return new BigDecimal(a).divide(new BigDecimal(b), 10, BigDecimal.ROUND_HALF_UP)
                .doubleValue();
    }

    public static Double add(String a, String b) {
        return new BigDecimal(a).add(new BigDecimal(b)).doubleValue();
    }

    public static Double subtract(String a, String b) {
        return new BigDecimal(a).subtract(new BigDecimal(b)).doubleValue();
    }
}
