package com.brilliance.ccbank.api;

import com.brilliance.eibs.core.model.IArgumentDef;
import com.brilliance.eibs.core.model.IFieldDef;

import java.util.ArrayList;
import java.util.List;

public class ArgMapping {

    private String argCode;

    private String pntArgCode;

    private String realExp;

    private int cycFlg;

    private String type;

    private Integer seqNo;

    public Integer getSeqNo() {
        return seqNo;
    }

    public void setSeqNo(Integer seqNo) {
        this.seqNo = seqNo;
    }

    public ArgMapping(String argCode, String pntArgCode, String realExp, int cycFlg, String type, Integer seqno) {
        this.argCode = argCode;
        this.pntArgCode = pntArgCode;
        this.realExp = realExp;
        this.cycFlg = cycFlg;
        this.type = type;
        this.seqNo = seqno;
    }

    public String getType() {
        return type;
    }

    public void setType(String type) {
        this.type = type;
    }

    public String getArgCode() {
        return argCode;
    }

    public String getPntArgCode() {
        return pntArgCode;
    }

    public String getRealExp() {
        return realExp;
    }

    public int getCycFlg() {
        return cycFlg;
    }

    public void setArgCode(String argCode) {
        this.argCode = argCode;
    }

    public void setPntArgCode(String pntArgCode) {
        this.pntArgCode = pntArgCode;
    }

    public void setRealExp(String realExp) {
        this.realExp = realExp;
    }

    public void setCycFlg(int cycFlg) {
        this.cycFlg = cycFlg;
    }

    public static void main(String[] args) {
        List<ArgMapping> list = new ArrayList<ArgMapping>();

        ArgMapping argMapping = new ArgMapping("A", null, "a", 0, null, 0);
        list.add(argMapping);

        argMapping = new ArgMapping("B", null, "b", 0, null, 1);
        list.add(argMapping);

        argMapping = new ArgMapping("LIST", null, "list", 1, null, 2);
        list.add(argMapping);

        argMapping = new ArgMapping("NAME", "LIST", "list", 0, null, null);
        list.add(argMapping);

        argMapping = new ArgMapping("ID", "LIST", "list", 0, null, null);
        list.add(argMapping);

        List<IFieldDef> aa = ArgMapApi.getFieldDefsByArgMapping(list);
        //System.out.println(new ExportService().obj2xml(aa));
        List<IArgumentDef> aaaaArgMappings = ArgMapApi.getCallArgs(list);

        List<IFieldDef> l = ArgMapApi.getCallInnerArgs(list);
        System.out.println(111);

    }

}
