package com.brilliance.ccbank.srcipt.model.impl;

import java.io.Serializable;

import org.apache.commons.lang.builder.EqualsBuilder;
import org.apache.commons.lang.builder.HashCodeBuilder;

import com.brilliance.eibs.core.model.impl.CallDef;

public class ScriptCallDef
    extends CallDef
    implements Serializable
{
  private static final long  serialVersionUID = 1L;
  private String             bctype;                 //组件类型
  private int                processnum;             //顺序号
  private String             compId;                 //组件ID

  public String getBctype()
  {
    return bctype;
  }

  public void setBctype(String bctype)
  {
    this.bctype = bctype;
  }

  public int getProcessnum()
  {
    return this.processnum;
  }

  public void setProcessnum(int processnum)
  {
    this.processnum = processnum;
  }

  @Override
  public String getUnique()
  {
    return "CALL" + " " + compId + " " + processnum + " " + bctype;
  }

  public boolean equals(Object obj)
  {
    boolean b = EqualsBuilder.reflectionEquals(this, obj);
    return b;
  }

  public int hashCode()
  {
    return HashCodeBuilder.reflectionHashCode(this);
  }

  public String getCompId()
  {
    return compId;
  }

  public void setCompId(String compId)
  {
    this.compId = compId;
  }

}
