package com.brilliance.eibs.core.model;

import java.util.List;

/**
 * 转化器定义接口类
 * @author xiaoyuanzhen
 *
 */
public interface IConvertorDef
    extends IAbsDef
{
  public String getTag();

  public void setTag(String tag);

  public String getScope();

  public void setScope(String scope);

  public String getValue();

  public void setValue(String value);

  public String getErrorCode();

  public void setErrorCode(String errorCode);

  public String getDescription();

  public void setDescription(String description);

  public void addArgument(IArgumentDef argumentDef);

  public void setArguments(List<IArgumentDef> arguments);

  public List<IArgumentDef> getArguments();

  
}