package com.brilliance.eibs.core.model;

import java.util.List;
import java.util.Map;

/**
 * 过滤器定义类
 */
public interface IFilterDef
    extends IExecutableDef
{

  public String getScope();

  public void setScope(String scope);

  public void setSubList(List<IAbsDef> subList);

  public List<IAbsDef> getSubList();

  public void setEncoding(String encoding);

  public String getEncoding();

  public Map<String, String> getCommonsPropertyMap();

  public String getCommonsProperty(String key);

  public void addCommonsProperty(String key, String value);

  public void addSub(IAbsDef def);

  public void combine(IFilterDef filterDef);

  public String getTag();

  public void setTag(String tag);
  
  public String getLevel();
  

  public void setLevel(String level);



}
