package com.brilliance.eibs.core.model.modelbeans;

import com.brilliance.eibs.core.model.IConvertorDef;
import com.brilliance.eibs.core.model.IInterfaceDef;

import java.io.Serializable;
import java.util.ArrayList;
import java.util.List;

/**
 * 转换器定义集合类
 */
public class ConvertorsDef
    implements Serializable
{
  /**
   * 
   */
  private static final long       serialVersionUID = 1L;

  public List<IConvertorDef>      convertors       = new ArrayList<IConvertorDef>(); // 转换器列表

  private transient IInterfaceDef interfaceDefinition;                              // 接口定义

  /**
   * 获取转换器列表
   * 
   * @return
   */
  public List<IConvertorDef> getConvertors()
  {
    return convertors;
  }

  /**
   * 设置转换器列表
   * 
   * @param tasks
   */
  public void setConvertors(List<IConvertorDef> convertors)
  {
    this.convertors = convertors;
  }

  /**
   * 获取接口定义
   * 
   * @return
   */
  public IInterfaceDef getInterfaceDefinition()
  {
    return interfaceDefinition;
  }

  /**
   * 设置接口定义
   * 
   * @param interfaceDefinition
   */
  public void setInterfaceDefinition(IInterfaceDef interfaceDefinition)
  {
    this.interfaceDefinition = interfaceDefinition;
  }

}
