package com.brilliance.eibs.core.service;

import com.brilliance.eibs.main.Client;

public class TransactionThread implements Runnable {

    private String interfaceName;
    private String transactionName;
    private String pre;
    private Object[] args;

    public TransactionThread(String interfaceName, String transactionName, Object[] args) {
        this(interfaceName, transactionName, args, null);
    }

    public TransactionThread(String interfaceName, String transactionName, Object[] args,
            String pre) {
        this.interfaceName = interfaceName;
        this.transactionName = transactionName;
        this.args = args;
        this.pre = pre;
    }

    public String getInterfaceName() {
        return interfaceName;
    }

    public void setInterfaceName(String interfaceName) {
        this.interfaceName = interfaceName;
    }

    public String getTransactionName() {
        return transactionName;
    }

    public void setTransactionName(String transactionName) {
        this.transactionName = transactionName;
    }

    public Object[] getArgs() {
        return args;
    }

    public void setArgs(Object[] args) {
        this.args = args;
    }

    @Override
    public void run() {
        new Client().call(interfaceName, transactionName, pre, false, args);
    }

}
