package com.brilliance.eibs.extension.mina.client;

import org.apache.mina.core.service.IoHandler;

import java.net.InetSocketAddress;

public class SynMinaNioClient extends MinaNioClient {

    public SynMinaNioClient(String hostname, int port) {
        super(hostname, port);
    }

    public void init() {
        super.init();
        connector.getSessionConfig().setUseReadOperation(true);
    }

    public void connect() {
        // 建立连接
        cf = connector.connect(new InetSocketAddress(hostname, port));
        // 等待连接创建完成
        cf.awaitUninterruptibly();
    }

    public void loadPloyHandler(IoHandler handler) {}

    public void close() {
        // 等待连接断开
        cf.getSession().closeNow();
        // 释放连接
        connector.dispose();
    }


}
