package com.brilliance.eibs.server.link_v2_0;

import java.util.ArrayList;
import java.util.List;

public class LinkParser
{

  public static LinkData createSimplexLinkData(String s)
  {
    String[] datas = s.split(":", 3);
    String sendIP = datas[0];
    int sendPort = Integer.valueOf(datas[1]);
    int receivePort = Integer.valueOf(datas[2]);
    return new LinkData(sendIP, sendPort, receivePort);
  }

  
  public static List<LinkData> createSimplexLinkDatas(String s)
  {
    String[] urls = s.split(",");
    List<LinkData> datas = new ArrayList<LinkData>();
    for (String url : urls)
      datas.add(createSimplexLinkData(url));
    return datas;
  }
}
