package com.brilliance.eibs.util;

import com.brilliance.eibs.core.frame.ISocketProxy;

import java.util.HashMap;
import java.util.Map;

public class StaticInfomation {

    private static Map<String, ISocketProxy> map = new HashMap<String, ISocketProxy>();

    private static Map<String, Map<String, String>> dynamicCodeTabe = null;

    public static synchronized void add(String key, ISocketProxy socketProxy) {
        map.put(key, socketProxy);
    }

    public static ISocketProxy findConn(String key) {
        return map.get(key);
    }

    public static synchronized Map<String, Map<String, String>> getDynamicCodeTabe() {
        return dynamicCodeTabe;
    }

    public static synchronized void setDynamicCodeTabe(
            Map<String, Map<String, String>> dynamicCodeTabe) {
        StaticInfomation.dynamicCodeTabe = dynamicCodeTabe;
    }

    public static synchronized void clear() {
        map.clear();
        if (dynamicCodeTabe != null) dynamicCodeTabe.clear();
    }

}
